Bug 1157540 - Application icon is too small to be used in the software center
Summary: Application icon is too small to be used in the software center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hatari
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea Musuruane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 10:57 UTC by Richard Hughes
Modified: 2015-11-01 22:19 UTC (History)
1 user (show)

Fixed In Version: hatari-1.9.0-2.fc23 hatari-1.9.0-2.fc22 hatari-1.9.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:34:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Hughes 2014-10-27 10:57:01 UTC
Description of problem:

In Fedora 21 we show any valid application in the software center with an application icon of 32x32 or larger. Currently a 32x32 icon has to be padded with 16 pixels of whitespace on all 4 edges, and *also* has to be scaled x2 to match other UI elements on HiDPI screens.

This looks fuzzy, out of alignment and lowers the quality of an otherwise beautiful installing experience. For Fedora 22 we are planning to increase the minimum icon size to 48x48, with recommended installed sizes of 24x24, 48x48, 64x64 and 256x256 (or SVG).

Modern desktop applications typically ship multiple sizes of icons in known locations, and it's very much the minority of packages in Fedora (69 out of 1042) that only ship such small icons.

I'm asking package maintainers to install a larger icon than 32x32 in the Fedora package. Most of the time this will involve just installing a different icon from the tarball, but could also mean contacting upstream and asking them for larger icons and a new tarball release.

If you're asking upstream, please ask for a 256x256 or 64x64 icon, as the latter will probably be the minimum size for F23 and beyond. If you want to fix up F20 and F21 too that would be great, but not expected.

At the end of November I'll change the minimum icon size in the AppStream generator so that applications not fixed will not be shown in the software center. You can of course install this application in F22 with dnf on the command line, but it won't be visible in the software center until they are installed manually.

Additional info:
If you're unclear on what needs to be done in order to be listed in the software center, refer to this https://github.com/hughsie/appstream-glib#what-is-an-application or comment here.

Thanks!

Richard.

Comment 1 Andrea Musuruane 2014-10-27 11:31:49 UTC
Hi Richard,
I think you are talking about Hatari UI and not about Hatari. 

Hatari UI is an external user interface for the Hatari emulator and its built-in debugger which can (optionally) embed the Hatari emulator window.

The hatari package has desktop icons taken from the MacOSX icns file provided by upstream and they are available at 16x16, 32x32, 48x48 and 128x128px. So I think they are fine.

The hatari-ui package has a 32x32px desktop icon. 

I have opened a bug upstream for hatari-ui:
https://sourceforge.net/p/hatari/bugs/15/

BR,

Andrea

Comment 2 Richard Hughes 2014-10-27 11:58:03 UTC
(In reply to Andrea Musuruane from comment #1)
> I think you are talking about Hatari UI and not about Hatari. 

Yes, plausibly, sorry.

> The hatari package has desktop icons taken from the MacOSX icns file
> provided by upstream and they are available at 16x16, 32x32, 48x48 and
> 128x128px. So I think they are fine.

Ahh, okay.

> I have opened a bug upstream for hatari-ui:
> https://sourceforge.net/p/hatari/bugs/15/

Thanks!

Richard.

Comment 3 Andrea Musuruane 2014-10-29 15:37:25 UTC
(In reply to Andrea Musuruane from comment #1)
> I have opened a bug upstream for hatari-ui:
> https://sourceforge.net/p/hatari/bugs/15/

I've sent an email to the developer of hatari-ui since the bugtracker on SF is no longer maintained and the hatari ML seems not to accept posts from unsubscribed email addresses (I really can't handle another ML).

Comment 4 Jaroslav Reznik 2015-03-03 16:24:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora Update System 2015-10-17 20:07:55 UTC
hatari-1.9.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9de52571ff

Comment 6 Fedora Update System 2015-10-17 20:08:00 UTC
hatari-1.9.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-008bb1fbe2

Comment 7 Fedora Update System 2015-10-18 17:27:00 UTC
hatari-1.9.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e9f55e183

Comment 8 Fedora Update System 2015-10-18 17:27:00 UTC
hatari-1.9.0-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2eff82761d

Comment 9 Fedora Update System 2015-10-18 17:27:04 UTC
hatari-1.9.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-93d33b5abe

Comment 10 Fedora Update System 2015-10-18 19:53:28 UTC
hatari-1.9.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hatari'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-905b29bb39

Comment 11 Fedora Update System 2015-10-19 05:20:02 UTC
hatari-1.9.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hatari'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e9f55e183

Comment 12 Fedora Update System 2015-10-19 05:20:15 UTC
hatari-1.9.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hatari'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-008bb1fbe2

Comment 13 Fedora Update System 2015-10-19 05:20:49 UTC
hatari-1.9.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hatari'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2eff82761d

Comment 14 Fedora Update System 2015-10-19 05:20:53 UTC
hatari-1.9.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hatari'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9de52571ff

Comment 15 Fedora Update System 2015-10-19 16:25:29 UTC
hatari-1.9.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hatari'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-93d33b5abe

Comment 16 Fedora Update System 2015-11-01 02:34:19 UTC
hatari-1.9.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-11-01 21:51:17 UTC
hatari-1.9.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-11-01 22:19:20 UTC
hatari-1.9.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.